import { type Context } from "aws-lambda";

import { handler as elciudadano } from "./portales/elciudadano/handler";
import { handler as eldesconcierto } from "./portales/eldesconcierto/handler";
import { handler as emol } from "./portales/emol/handler";
import { handler as latercera } from "./portales/latercera/handler";
import { handler as theclinic } from "./portales/theclinic/handler";

const context: Context = {
  callbackWaitsForEmptyEventLoop: false,
  functionName: "",
  functionVersion: "$LATEST",
  invokedFunctionArn: "",
  memoryLimitInMB: "0",
  awsRequestId: "",
  logGroupName: "",
  logStreamName: "",
  done: () => {},
  fail: () => {},
  succeed: () => {},
  getRemainingTimeInMillis: () => 1
};

const theCalls = Promise.all([
  elciudadano(null, context, () => {}),
  eldesconcierto(null, context, () => {}),
  emol(null, context, () => {}),
  latercera(null, context, () => {}),
  theclinic(null, context, () => {})
]);
console.log("The end.", theCalls);
